package com.fp.general.rules.scheduler;

import com.fp.dto.Response;
import com.fp.dto.rules.ScheduleRule;
import com.fp.dto.save.SaveRequest;
import com.fp.general.rules.save.ChangeAccountingDate;

/**
 * Clase que se encarga de ejecutar automaticamente transaccion de cambio de fecha contable.
 * 
 * @author Jorge Vaca.
 * @version 2.1
 */
public class ChangeScheduleAccountingdate implements ScheduleRule {

    /*
     * (non-Javadoc)
     * 
     * @see com.fp.dto.rules.ScheduleRule#execute(com.fp.dto.save.SaveRequest)
     */
    @Override
    public void execute(SaveRequest pSaveRequest) throws Exception {
        Response res = new Response(Response.RESPONSE_OK, "OK");
        pSaveRequest.setResponse(res);
        ChangeAccountingDate cad = new ChangeAccountingDate();
        cad.normalProcess(pSaveRequest);
    }

}
